Intermittent timeouts in crashtest 143862-1.html

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
10 years ago
7 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
Windows Server 2003
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(Not tracked)

Details

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264030076.1264031052.19135.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/01/20 15:27:56
s: win32-slave09

REFTEST TEST-UNEXPECTED-FAIL | file:///E:/builds/moz2_slave/mozilla-central-win32-debug-unittest-crashtest/build/reftest/tests/layout/base/crashtests/143862-1.html | timed out waiting for onload to fire
Hopefully http://hg.mozilla.org/mozilla-central/rev/bc579e637ef7 will fix it.
Assignee: nobody → jruderman
Status: NEW → RESOLVED
Closed: 10 years ago
Resolution: --- → FIXED
Flags: in-testsuite+
Target Milestone: --- → mozilla1.9.3a1
Sadly, no:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264438360.1264439694.8185.gz
WINNT 5.2 mozilla-central debug test crashtest on 2010/01/25 08:52:40
s: win32-slave40
REFTEST TEST-UNEXPECTED-FAIL | file:///e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-crashtest/build/reftest/tests/layout/base/crashtests/143862-1.html | timed out waiting for onload to fire
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
I added some dump statements that may help narrow down the cause:

http://hg.mozilla.org/mozilla-central/rev/13888569b909

Let me know if it happens again.
Assignee: jruderman → nobody
Status: REOPENED → RESOLVED
Closed: 10 years ago9 years ago
Resolution: --- → WORKSFORME
Jesse:

143862-1-inner.html: A
143862-1-inner.html: B
++DOMWINDOW == 70 (07161950) [serial = 1015] [outer = 04DEBDD8]
143862-1-inner.html: C
143862-1-inner.html: D
WARNING: ContentViewer exists outside gHistoryMaxViewer range: '!viewer', file e:/builds/moz2_slave/mozilla-central-win32-debug/build/docshell/shistory/src/nsSHistory.cpp, line 850
... [huge --DOMWINDOW == ## block elided]
WARNING: NS_ENSURE_TRUE(aListener) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/editor/libeditor/base/nsEditor.cpp, line 1759
REFTEST TEST-UNEXPECTED-FAIL | file:///e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-crashtest/build/reftest/tests/layout/base/crashtests/143862-1.html | timed out waiting for onload to fire
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
http://hg.mozilla.org/mozilla-central/rev/65ce3d65690c should make the test more deterministic.  It still seems wrong for it to have failed, though.
Status: REOPENED → RESOLVED
Closed: 9 years ago9 years ago
Resolution: --- → WORKSFORME
Well, that was successful, if by "more deterministic" I mean "fail 100x more often".

Bug 605885: 143862-1a.html
Bug 605392: 143862-1b.html
Bug 605386: 143862-1c.html

Oddly, 1a is failing the most, even though its event fires last.

Given the testcase, I'd half-expect it to affect lots of web sites. Maybe now we can catch this in R&R?
Status: RESOLVED → REOPENED
Depends on: 605885, 605392, 605386
Resolution: WORKSFORME → ---
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1288301687.1288304007.15183.gz
WINNT 5.2 comm-central-trunk debug test crashtest on 2010/10/28 14:34:47
Summary: Intermittent failure in crashtest 143862-1.html | timed out waiting for onload to fire → Intermittent failure in crashtest "143862-1.html | timed out waiting for onload to fire" (143862-1a.html)
Summary: Intermittent failure in crashtest "143862-1.html | timed out waiting for onload to fire" (143862-1a.html) → Intermittent failure in crashtest "143862-1a.html | timed out waiting for onload to fire"
Please don't reopen this bug.  There are already three open bugs on the current failures, and there's no need to spam the people who fixed bugs in earlier versions of the test.
Status: REOPENED → RESOLVED
Closed: 9 years ago9 years ago
Resolution: --- → WORKSFORME
Summary: Intermittent failure in crashtest "143862-1a.html | timed out waiting for onload to fire" → Intermittent timeouts in crashtest 143862-1.html
Target Milestone: mozilla1.9.3a1 → ---
Erm, I mean please don't re-title this bug to make it collect TBPL spam.  It's fine for it to be open ;)
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
(In reply to comment #13)
> don't re-title this bug to make it collect TBPL spam.

Hum, but then this bug is much harder to discover (from TBPL UI),
and may get less attention :-<
Status: REOPENED → RESOLVED
Closed: 9 years ago7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.